Bases Loaded ROM download is available to play for Nintendo. This game is the US English version at EmulatorGames.net exclusively. Download Bases Loaded ROM and use it with an emulator. Play online NES game on desktop PC, mobile, and tablets in maximum quality. If you enjoy this free ROM on Emulator Games then you will also like similar titles Super Bases Loaded and Bases Loaded 2.